Bug 460047 - Kernel obsoletes existing Driver Updates on install
Kernel obsoletes existing Driver Updates on install
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: beta
: ---
Assigned To: Jon Masters
Martin Jenner
:
: 465883 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 14:03 EDT by Jon Masters
Modified: 2009-01-20 15:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add virtual "Obsoletes" dependencies to the kernel package (2.33 KB, patch)
2008-09-18 07:45 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Jon Masters 2008-08-25 14:03:39 EDT
Description of problem:

Add RPM-level Obsoletes as a way of requiring existing driver updates shipped during RHEL5.2 to be uninstalled post-5.2, upon installation of 5.3 updates.
Comment 2 Jon Masters 2008-09-18 07:45:16 EDT
Created attachment 317059 [details]
Add virtual "Obsoletes" dependencies to the kernel package
Comment 3 Jon Masters 2008-09-18 07:46:21 EDT
Note, these are not done as numerical versions specifically in order to handle the design of virtual provides. We could also simply add a kernel provides saying "Provides: rhel-kernel: 5.3" for example.
Comment 7 Don Zickus 2008-11-12 11:37:15 EST
in kernel-2.6.18-123.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Linda Wang 2008-12-03 09:42:15 EST
*** Bug 465883 has been marked as a duplicate of this bug. ***
Comment 11 errata-xmlrpc 2009-01-20 15:13:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.